/**
 * Created with WebStorm.
 * User: gp
 * Date: 16-3-3
 *
 */

import expect from 'expect'
import React from 'react';
import { mount, shallow } from 'enzyme';
import immutable from 'immutable'
import WeixinNavBar from '../../src/page/WeixinNavBar'


describe('WeixinNavBar', () => {

    describe('component', () => {

        function setup(props = {}){
            const wrapper = shallow(<WeixinNavBar {...props} />);
            return wrapper;
        }

        describe('render', () => {

            var opts =  {navOpt:{
                    scope:{},
                    title:'title',
                    left:{
                    },
                    right:{
                        components:[
                            {
                                type: 'button'
                            },
                            {
                                type: 'button'
                            }
                        ]
                    }
            }};

            function cloneOpts(){
                return immutable.Map(opts).toJS();
            }

            it('预期按正确的层次结构渲染', () => {

                const wrapper = setup(cloneOpts());
                expect(wrapper.hasClass('navbar-weixin')).toBe(true);

            })

        });


    })

})
